


Project "srecord.1.5"                                             Page 1
List of Changes                                 Sun Dec  3 19:50:02 2000

Change  State           Description
------- -------         -------------
  10    completed       Prepare for release
  11    completed       windows porting
  12    completed       error message prefix bug
  13    completed       verbose comparison
  14    completed       2s complement checksum
  15    completed       compare more efficient
  16    completed       VHDL output
  17    completed       Windows NT
  18    completed       crc16
  19    completed       crc32
  20    completed       C Array bug



Project "srecord.1.5", Change 10                                  Page 1
Change Details                                  Sun Dec  3 19:50:03 2000

NAME
        Project "srecord.1.5", Delta 1, Change 10.

SUMMARY
        Prepare for release

DESCRIPTION
        This change prepares S-Record for the next public release.

        This change is exempt from testing against the development
        directory.  This change is exempt from testing against the
        baseline.


ARCHITECTURE
        This change must build and test in the "linux-i486"
        architecture.

CAUSE
        This change was caused by internal_enhancement.

FILES
        Type    Action   Edit         File Name
        ------- -------- -------      -----------
        source  create    1.1         etc/CHANGES.1.4
        source  create    1.1         etc/new.1.5.so

HISTORY
        What            When            Who      Comment
        ------          ------          -----    ---------
        new_change      Mon Mar  6      pmiller
                        21:54:19 2000
        develop_begin   Mon Mar  6      pmiller  Elapsed time: 0.039
                        21:54:21 2000            days.
        develop_end     Mon Mar  6      pmiller
                        22:11:51 2000
        review_pass     Mon Mar  6      pmiller
                        22:11:55 2000
        integrate_begin Mon Mar  6      pmiller
                        22:11:58 2000
        integrate_pass  Mon Mar  6      pmiller
                        22:16:40 2000



Project "srecord.1.5", Change 11                                  Page 1
Change Details                                  Sun Dec  3 19:50:05 2000

NAME
        Project "srecord.1.5", Delta 2, Change 11.

SUMMARY
        windows porting

DESCRIPTION
        This change makes some changes to make srecord more portable to
        Windows (to the tests, actually, the code was fine).

        This change must pass a full regression test.  This change is
        exempt from testing against the baseline.


ARCHITECTURE
        This change must build and test in the "linux-i486"
        architecture.

CAUSE
        This change was caused by internal_improvement.

FILES
        Type    Action   Edit         File Name
        ------- -------- -------      -----------
        test    modify    1.2 -> 1.3  test/00/t0032a.sh
        test    modify    1.2 -> 1.3  test/00/t0033a.sh
        test    modify    1.2 -> 1.3  test/00/t0035a.sh
        test    modify    1.2 -> 1.3  test/00/t0037a.sh
        test    modify    1.2 -> 1.3  test/00/t0038a.sh

HISTORY
        What            When            Who      Comment
        ------          ------          -----    ---------
        new_change      Tue Mar  7      pmiller
                        10:42:15 2000
        develop_begin   Tue Mar  7      pmiller  Elapsed time: 1.000
                        10:42:17 2000            days.
        develop_end     Tue Mar  7      pmiller
                        20:23:12 2000
        review_pass     Tue Mar  7      pmiller
                        20:23:19 2000
        integrate_begin Tue Mar  7      pmiller
                        20:23:26 2000
        integrate_pass  Tue Mar  7      pmiller
                        20:27:42 2000



Project "srecord.1.5", Change 12                                  Page 1
Change Details                                  Sun Dec  3 19:50:06 2000

NAME
        Project "srecord.1.5", Delta 3, Change 12.

SUMMARY
        error message prefix bug

DESCRIPTION
        This change fixed abug in the error message prefixes.

        This change must pass a full regression test.  This change is
        exempt from testing against the development directory.  This
        change is exempt from testing against the baseline.


ARCHITECTURE
        This change must build and test in the "linux-i486"
        architecture.

CAUSE
        This change was caused by internal_enhancement.

FILES
        Type    Action   Edit         File Name
        ------- -------- -------      -----------
        source  modify    1.2 -> 1.3  lib/common/quit/prefix.cc

HISTORY
        What            When            Who      Comment
        ------          ------          -----    ---------
        new_change      Thu Mar  9      pmiller
                        10:07:06 2000
        develop_begin   Thu Mar  9      pmiller
                        10:07:08 2000
        develop_end     Thu Mar  9      pmiller
                        10:11:00 2000
        review_pass     Thu Mar  9      pmiller
                        10:11:02 2000
        integrate_begin Thu Mar  9      pmiller
                        10:11:05 2000
        integrate_pass  Thu Mar  9      pmiller
                        10:14:19 2000



Project "srecord.1.5", Change 13                                  Page 1
Change Details                                  Sun Dec  3 19:50:08 2000

NAME
        Project "srecord.1.5", Delta 4, Change 13.

SUMMARY
        verbose comparison

DESCRIPTION
        This change adds a -verbose option to the srec_cmp program, so
        that it gives a summary of all the way in which the two files
        differ, if they do.


ARCHITECTURE
        This change must build and test in the "linux-i486"
        architecture.

CAUSE
        This change was caused by internal_enhancement.

FILES
        Type    Action   Edit         File Name
        ------- -------- -------      -----------
        source  modify    1.7 -> 1.8  include/interval.h
        source  modify    1.8 -> 1.9  include/srec/memory.h
        source  create    1.1         include/srec/memory/walker/
                                      compare.h
        source  modify    1.9 -> 1.10 lib/common/interval.cc
        source  modify    1.9 -> 1.10 lib/srec/memory.cc
        source  create    1.1         lib/srec/memory/walker/compare.cc
        source  modify    1.6 -> 1.7  man/man1/srec_cmp.1
        source  modify    1.6 -> 1.7  prog/srec_cmp/main.cc
        test    create    1.1         test/00/t0040a.sh

HISTORY
        What            When            Who      Comment
        ------          ------          -----    ---------
        new_change      Sat Apr  1      pmiller
                        21:55:29 2000
        develop_begin   Sat Apr  1      pmiller  Elapsed time: 1.000
                        21:55:31 2000            days.
        develop_end     Sun Apr  2      pmiller
                        14:56:28 2000
        review_pass     Sun Apr  2      pmiller
                        14:56:34 2000
        integrate_begin Sun Apr  2      pmiller  Elapsed time: 0.022
                        14:56:38 2000            days.
        integrate_pass  Sun Apr  2      pmiller
                        15:06:42 2000



Project "srecord.1.5", Change 14                                  Page 1
Change Details                                  Sun Dec  3 19:50:10 2000

NAME
        Project "srecord.1.5", Delta 5, Change 14.

SUMMARY
        2s complement checksum

DESCRIPTION
        This change adds a 2s complement checksum filter.


ARCHITECTURE
        This change must build and test in the "linux-i486"
        architecture.

CAUSE
        This change was caused by internal_enhancement.

FILES
        Type    Action   Edit         File Name
        ------- -------- -------      -----------
        source  modify   1.20 -> 1.21 etc/README.man
        source  modify    1.1 -> 1.2  etc/new.1.5.so
        source  modify   1.29 -> 1.30 include/srec/arglex.h
        source  modify    1.6 -> 1.7  include/srec/input/filter/
                                      checksum.h
        source  create    1.1         include/srec/input/filter/
                                      checksum/bitnot.h
        source  create    1.1         include/srec/input/filter/
                                      checksum/negative.h
        source  create    1.1         include/srec/input/filter/
                                      checksum/positive.h
        source  modify   1.30 -> 1.31 lib/srec/arglex.cc
        source  modify    1.6 -> 1.7  lib/srec/input/filter/checksum.cc
        source  create    1.1         lib/srec/input/filter/checksum/
                                      bitnot.cc
        source  create    1.1         lib/srec/input/filter/checksum/
                                      negative.cc
        source  create    1.1         lib/srec/input/filter/checksum/
                                      positive.cc
        source  modify   1.27 -> 1.28 man/man1/o_input.so
        test    create    1.1         test/00/t0050a.sh
        test    create    1.1         test/00/t0051a.sh

HISTORY
        What            When            Who      Comment
        ------          ------          -----    ---------
        new_change      Tue Apr  4      pmiller
                        06:50:36 2000
        develop_begin   Tue Apr  4      pmiller  Elapsed time: 1.000
                        06:50:39 2000            days.
        develop_end     Tue Apr  4      pmiller
                        22:36:13 2000
        review_pass     Tue Apr  4      pmiller
                        22:36:15 2000
        integrate_begin Tue Apr  4      pmiller
                        22:36:18 2000




Project "srecord.1.5", Change 14                                  Page 2
Change Details                                  Sun Dec  3 19:50:10 2000

        What            When            Who      Comment
        ------          ------          -----    ---------
        integrate_pass  Tue Apr  4      pmiller
                        22:42:23 2000



Project "srecord.1.5", Change 15                                  Page 1
Change Details                                  Sun Dec  3 19:50:12 2000

NAME
        Project "srecord.1.5", Delta 6, Change 15.

SUMMARY
        compare more efficient

DESCRIPTION
        This change makes the srec_cmp -verbose option more efficient,
        so that it runs much faster for large files.

        This change must pass a full regression test.  This change is
        exempt from testing against the development directory.  This
        change is exempt from testing against the baseline.


ARCHITECTURE
        This change must build and test in the "linux-i486"
        architecture.

CAUSE
        This change was caused by internal_enhancement.

FILES
        Type    Action   Edit         File Name
        ------- -------- -------      -----------
        source  modify    1.1 -> 1.2  lib/srec/memory/walker/compare.cc

HISTORY
        What            When            Who      Comment
        ------          ------          -----    ---------
        new_change      Tue Jun 13      pmiller
                        12:38:41 2000
        develop_begin   Tue Jun 13      pmiller
                        12:38:43 2000
        develop_end     Tue Jun 13      pmiller
                        12:46:40 2000
        review_pass     Tue Jun 13      pmiller
                        12:46:43 2000
        integrate_begin Tue Jun 13      pmiller
                        12:46:45 2000
        integrate_pass  Tue Jun 13      pmiller
                        12:49:10 2000



Project "srecord.1.5", Change 16                                  Page 1
Change Details                                  Sun Dec  3 19:50:14 2000

NAME
        Project "srecord.1.5", Delta 8, Change 16.

SUMMARY
        VHDL output

DESCRIPTION
        This change adds VHDL output format.

        My thanks to Hendrik De Vloed <hendrik.devloed@barco.com> for
        this contribution.


ARCHITECTURE
        This change must build and test in the "linux-i486"
        architecture.

CAUSE
        This change was caused by external_enhancement.

FILES
        Type    Action   Edit         File Name
        ------- -------- -------      -----------
        source  modify    1.2 -> 1.3  etc/new.1.5.so
        source  modify   1.19 -> 1.20 etc/srecord.html
        source  create    1.1         etc/x_defs_pack.vhd
        source  modify   1.30 -> 1.31 include/srec/arglex.h
        source  create    1.1         include/srec/output/file/vhdl.h
        source  modify   1.31 -> 1.32 lib/srec/arglex.cc
        source  create    1.1         lib/srec/output/file/vhdl.cc
        source  modify   1.15 -> 1.16 man/man1/srec_cat.1
        test    create    1.1         test/00/t0052a.sh

HISTORY
        What            When            Who      Comment
        ------          ------          -----    ---------
        new_change      Wed Aug 30      pmiller
                        13:55:10 2000
        develop_begin   Wed Aug 30      pmiller  Elapsed time: 30.494
                        13:55:11 2000            days.
        develop_end     Wed Oct 11      pmiller
                        17:37:33 2000
        review_pass     Wed Oct 11      pmiller
                        17:37:47 2000
        integrate_begin Wed Oct 11      pmiller
                        17:37:50 2000
        integrate_pass  Wed Oct 11      pmiller
                        17:40:08 2000



Project "srecord.1.5", Change 17                                  Page 1
Change Details                                  Sun Dec  3 19:50:16 2000

NAME
        Project "srecord.1.5", Delta 7, Change 17.

SUMMARY
        Windows NT

DESCRIPTION
        This change adds some instructions about Windows NT

        This change is exempt from testing against the development
        directory.  This change is exempt from testing against the
        baseline.


ARCHITECTURE
        This change must build and test in the "linux-i486"
        architecture.

CAUSE
        This change was caused by internal_improvement.

FILES
        Type    Action   Edit         File Name
        ------- -------- -------      -----------
        source  modify   1.18 -> 1.19 etc/srecord.html

HISTORY
        What            When            Who      Comment
        ------          ------          -----    ---------
        new_change      Tue Sep  5      pmiller
                        10:10:04 2000
        develop_begin   Tue Sep  5      pmiller  Elapsed time: 0.024
                        10:10:04 2000            days.
        develop_end     Tue Sep  5      pmiller
                        10:21:04 2000
        review_pass     Tue Sep  5      pmiller
                        10:21:07 2000
        integrate_begin Tue Sep  5      pmiller
                        10:21:10 2000
        integrate_pass  Tue Sep  5      pmiller
                        10:22:24 2000



Project "srecord.1.5", Change 18                                  Page 1
Change Details                                  Sun Dec  3 19:50:17 2000

NAME
        Project "srecord.1.5", Delta 9, Change 18.

SUMMARY
        crc16

DESCRIPTION
        This change adds a CRC 16 input filter (big endian and little
        endian).


ARCHITECTURE
        This change must build and test in the "linux-i486"
        architecture.

CAUSE
        This change was caused by internal_enhancement.

FILES
        Type    Action   Edit         File Name
        ------- -------- -------      -----------
        source  modify   1.21 -> 1.22 etc/README.man
        source  modify    1.3 -> 1.4  etc/new.1.5.so
        source  modify   1.20 -> 1.21 etc/srecord.html
        source  create    1.1         include/crc16.h
        source  modify   1.31 -> 1.32 include/srec/arglex.h
        source  create    1.1         include/srec/input/filter/crc16.h
        source  modify    1.9 -> 1.10 include/srec/memory.h
        source  modify    1.6 -> 1.7  include/srec/memory/chunk.h
        source  create    1.1         include/srec/memory/walker/crc16.h
        source  create    1.1         lib/common/crc16.cc
        source  modify   1.32 -> 1.33 lib/srec/arglex.cc
        source  create    1.1         lib/srec/input/filter/crc16.cc
        source  modify   1.10 -> 1.11 lib/srec/memory.cc
        source  modify    1.6 -> 1.7  lib/srec/memory/chunk.cc
        source  create    1.1         lib/srec/memory/walker/crc16.cc
        source  modify   1.28 -> 1.29 man/man1/o_input.so
        test    create    1.1         test/00/t0053a.sh

HISTORY
        What            When            Who      Comment
        ------          ------          -----    ---------
        new_change      Thu Oct 12      pmiller
                        11:12:00 2000
        develop_begin   Thu Oct 12      pmiller  Elapsed time: 24.000
                        11:12:01 2000            days.
        develop_end     Tue Nov 14      pmiller
                        21:28:42 2000
        review_pass     Tue Nov 14      pmiller
                        21:29:27 2000
        integrate_begin Tue Nov 14      pmiller
                        21:29:38 2000
        integrate_      Tue Nov 14      pmiller
        begin_undo      21:31:37 2000
        develop_end_    Tue Nov 14      pmiller  Elapsed time: 0.050
        undo            21:31:40 2000            days.




Project "srecord.1.5", Change 18                                  Page 2
Change Details                                  Sun Dec  3 19:50:17 2000

        What            When            Who      Comment
        ------          ------          -----    ---------
        develop_end     Tue Nov 14      pmiller
                        21:54:02 2000
        review_pass     Tue Nov 14      pmiller
                        21:54:13 2000
        integrate_begin Tue Nov 14      pmiller  Elapsed time: 0.084
                        21:54:48 2000            days.
        integrate_pass  Tue Nov 14      pmiller
                        22:32:41 2000



Project "srecord.1.5", Change 19                                  Page 1
Change Details                                  Sun Dec  3 19:50:20 2000

NAME
        Project "srecord.1.5", Delta 10, Change 19.

SUMMARY
        crc32

DESCRIPTION
        This change adds a CRC 32 input filter (big endian and little
        endian).


ARCHITECTURE
        This change must build and test in the "linux-i486"
        architecture.

CAUSE
        This change was caused by internal_enhancement.

FILES
        Type    Action   Edit         File Name
        ------- -------- -------      -----------
        source  modify    1.4 -> 1.5  etc/new.1.5.so
        source  create    1.1         include/crc32.h
        source  create    1.1         include/srec/input/filter/crc32.h
        source  create    1.1         include/srec/memory/walker/crc32.h
        source  create    1.1         lib/common/crc32.cc
        source  modify   1.33 -> 1.34 lib/srec/arglex.cc
        source  create    1.1         lib/srec/input/filter/crc32.cc
        source  create    1.1         lib/srec/memory/walker/crc32.cc
        source  modify   1.29 -> 1.30 man/man1/o_input.so
        test    create    1.1         test/00/t0055a.sh

HISTORY
        What            When            Who      Comment
        ------          ------          -----    ---------
        new_change      Thu Nov 16      pmiller  Cloned from change 18.
                        16:14:46 2000
        develop_begin   Thu Nov 16      pmiller  Elapsed time: 0.731
                        16:14:47 2000            days.
        develop_end     Thu Nov 16      pmiller
                        21:43:35 2000
        review_pass     Thu Nov 16      pmiller
                        21:44:19 2000
        integrate_begin Thu Nov 16      pmiller
                        21:44:41 2000
        integrate_fail  Thu Nov 16      pmiller  srec/input/filter/
                        21:48:05 2000            crc32.h: No such file
                                                 or directory
        develop_end     Thu Nov 16      pmiller
                        21:50:13 2000
        review_pass     Thu Nov 16      pmiller
                        21:50:30 2000
        integrate_begin Thu Nov 16      pmiller
                        21:50:33 2000
        integrate_pass  Thu Nov 16      pmiller
                        21:52:49 2000



Project "srecord.1.5", Change 20                                  Page 1
Change Details                                  Sun Dec  3 19:50:22 2000

NAME
        Project "srecord.1.5", Delta 11, Change 20.

SUMMARY
        C Array bug

DESCRIPTION
        This change fixes a bug in the C-Array output format.  Holes in
        the input resulted in syntax errors in the output.

        My thanks to Chris Maynard <Chris.Maynard@GTECH.COM> for
        reporting this problem.


ARCHITECTURE
        This change must build and test in the "linux-i486"
        architecture.

CAUSE
        This change was caused by external_bug.

FILES
        Type    Action   Edit         File Name
        ------- -------- -------      -----------
        source  modify    1.9 -> 1.10 lib/srec/output/file/c.cc
        test    create    1.1         test/00/t0056a.sh

HISTORY
        What            When            Who      Comment
        ------          ------          -----    ---------
        new_change      Tue Nov 21      pmiller
                        08:36:49 2000
        develop_begin   Tue Nov 21      pmiller
                        08:36:50 2000
        develop_end     Tue Nov 21      pmiller  Elapsed time: 0.025
                        08:46:05 2000            days.
        review_pass     Tue Nov 21      pmiller
                        08:57:30 2000
        integrate_begin Tue Nov 21      pmiller
                        08:57:33 2000
        integrate_pass  Tue Nov 21      pmiller
                        08:59:18 2000
